Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.registry
Class JSR250ValidatorProcessor

    java.lang.Object
      org.mule.registry.JSR250ValidatorProcessor

All Implemented Interfaces:
  InjectProcessor, ObjectProcessor

    public class JSR250ValidatorProcessor

extends Object
implements InjectProcessor

This registry processor will check for objects that have JSR-250 lifecycle annotations defined and validates that the following conditions are met (according to the JSR-250 spec)

1. The method MUST NOT have any parameters except in the case of EJB interceptors in which case it takes an InvocationContext object as defined by the EJB specification. Note that Mule is not an EJB container so the EJB case is ignored in Mule.
2. The return type of the method MUST be void.
3. The method MUST NOT throw a checked exception.
4. The method on which PostConstruct is applied MAY be public, protected, package private or private.
5. The method MUST NOT be static except for the application client.
6. The method MAY be final or non-final, except in the case of EJBs where it MUST be non-final. Note that Mule is not an EJB container so the EJB case is ignored in Mule.

Constructor Summary
`JSR250ValidatorProcessor()`

Method Summary
`Object` | `process(Object object)`
`void` | `validateLifecycleMethod(Method method)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSR250ValidatorProcessor

    public JSR250ValidatorProcessor()

Method Detail

### process

    public Object process(Object object)

  Specified by:
    `process` in interface `ObjectProcessor`

### validateLifecycleMethod

    public final void validateLifecycleMethod(Method method)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.